EXTRA_DIST = 
AM_CPPFLAGS = \
        -DPACKAGE_LOCALE_DIR=\""$(prefix)/$(DATADIRNAME)/locale"\" \
        -DPACKAGE_SRC_DIR=\""$(srcdir)"\" \
        -DPACKAGE_DATA_DIR=\""$(datadir)"\" \
	$(UNITY_WEBAPPS_CFLAGS) \
	$(UNITY_WEBAPPS_DAEMON_CFLAGS) \
	$(TELEPATHY_GLIB_CFLAGS) \
	$(UNITY_WEBAPPS_DEBUG_CFLAGS) \
	-I$(top_srcdir)/src \
	-I$(top_srcdir)/src/libunity-webapps \
	-I$(top_srcdir)/src/context-daemon/resource-cache \
	-I$(top_srcdir)/src/context-daemon/indicator -I$(top_srcdir)/src/context-daemon/util \
	-I$(top_srcdir)/src/context-daemon/presence -I$(top_srcdir)/src/context-daemon/interest-tracking \
	$(UNITY_WEBAPPS_COVERAGE_CFLAGS)

libexec_PROGRAMS = \
	unity-webapps-context-daemon

unity_webapps_context_daemon_SOURCES = \
	unity-webapps-context-daemon.c \
	unity-webapps-context-daemon.h \
	unity-webapps-application-info.c \
	unity-webapps-application-info.h \
	unity-webapps-preinstalled-application-info.c \
	unity-webapps-preinstalled-application-info.h \
	interest-tracking/unity-webapps-interest-manager.c \
	interest-tracking/unity-webapps-interest-manager.h \
	unity-webapps-action-manager.c \
	unity-webapps-action-manager.h \
	interest-tracking/unity-webapps-window-tracker.c \
	interest-tracking/unity-webapps-window-tracker.h \
	interest-tracking/unity-webapps-window-tracker-wnck.c \
	interest-tracking/unity-webapps-window-tracker-wnck.h \
	interest-tracking/unity-webapps-window-tracker-dbus-controllable.c \
	interest-tracking/unity-webapps-window-tracker-dbus-controllable.h \
	interest-tracking/unity-webapps-interest-tracker.c \
	interest-tracking/unity-webapps-interest-tracker.h \
	presence/unity-webapps-presence-manager.c \
	presence/unity-webapps-presence-manager.h \
	presence/unity-webapps-telepathy-presence-manager.c \
	presence/unity-webapps-telepathy-presence-manager.h \
	resource-cache/unity-webapps-resource-db.c \
	resource-cache/unity-webapps-resource-db.h \
	resource-cache/unity-webapps-resource-cache.c \
	resource-cache/unity-webapps-resource-cache.h \
	resource-cache/unity-webapps-resource-factory.c \
	resource-cache/unity-webapps-resource-factory.h \
	util/unity-webapps-gio-utils.c \
	util/unity-webapps-gio-utils.h \
	util/unity-webapps-icon-theme.c \
	util/unity-webapps-icon-theme.h \
	util/unity-webapps-dirs.c \
	util/unity-webapps-dirs.h \
	unity-webapps-notification-context.c \
	unity-webapps-notification-context.h \
	indicator/unity-webapps-indicator-model.c \
	indicator/unity-webapps-indicator-model.h \
	indicator/unity-webapps-indicator-model-controller.c \
	indicator/unity-webapps-indicator-model-controller.h \
	indicator/unity-webapps-indicator-view.c \
	indicator/unity-webapps-indicator-view.h \
	indicator/unity-webapps-indicator-view-messaging-menu.c \
	indicator/unity-webapps-indicator-view-messaging-menu.h \
	indicator/unity-webapps-indicator-manager.c \
	indicator/unity-webapps-indicator-manager.h \
	unity-webapps-indicator-context.c \
	unity-webapps-indicator-context.h \
	unity-webapps-music-player-context.c \
	unity-webapps-music-player-context.h \
	unity-webapps-launcher-context.c \
	unity-webapps-launcher-context.h \
	unity-webapps-debug.c \
	../unity-webapps-string-utils.c \
	../unity-webapps-string-utils.h \
	../unity-webapps-desktop-infos.c \
	../unity-webapps-desktop-infos.h \
	../unity-webapps-app-db.c \
	../unity-webapps-app-db.h \
	../unity-webapps-debug.h \
	../unity-webapps-gen-context.c \
	../unity-webapps-gen-notification.c \
	../unity-webapps-gen-indicator.c \
	../unity-webapps-gen-music-player.c \
	../unity-webapps-gen-launcher.c 


unity_webapps_context_daemon_LDADD = $(UNITY_WEBAPPS_LIBS) $(UNITY_WEBAPPS_DAEMON_LIBS) $(TELEPATHY_GLIB_LIBS) $(UNITY_WEBAPPS_COVERAGE_LDFLAGS)

